New wiki syntax for sup & sub tags
Closed, DeclinedPublic

Assigned To
Aklapper
Priority
Lowest
Author
bzimport
Commits
Unknown Object (Commit)
Subscribers
DanielFriesen, wikibugs-l
Projects
Reference
bz1894
Description

Author: dr.burnett

Description:
Just thought I'd see about getting some new wiki syntax for the sup and sub
tags. Perhaps copying the bold and italics tags and go with 4^^th^^ and
x^^^1^^^ for sup and sub respectively? Or maybe 4\\th\\ and x1 ?


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 8:18 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1894.
bzimport created this task.Via LegacyApr 15 2005, 4:45 AM
bzimport added a comment.Via ConduitAug 9 2005, 1:14 PM

zigger wrote:

*** Bug 3080 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 9 2005, 1:17 PM

zigger wrote:

Bug 3080 comment 0 suggests another syntax.

bzimport added a comment.Via ConduitAug 10 2005, 2:34 PM

ui2t5v002 wrote:

(In reply to comment #2)

Bug 3080 comment 0 suggests another syntax.

The other syntax is

x^{2} for x<sup>2</sup>
O_{2} for O<sub>2</sub>

like TeX.

bzimport added a comment.Via ConduitMay 17 2006, 4:25 PM

michael wrote:

Another formatting option, as used by Textile:

x^2^  for x<sup>2</sup>
O~2~ for O<sub>2</sub>

Reference: <http://www.textism.com/tools/
textile/>.

brion added a comment.Via ConduitMay 17 2006, 6:07 PM

This simply seems unnecessary when we already have perfectly good
<sub> and <sup>.

Going to close as WONTFIX.

bzimport added a comment.Via ConduitMay 17 2006, 6:08 PM

ui2t5v002 wrote:

(In reply to comment #5)

This simply seems unnecessary when we already have perfectly good
<sub> and <sup>.

Those are HTML, not wiki markup.

brion added a comment.Via ConduitMay 17 2006, 6:17 PM

Some of our wiki markup strongly resembles a subset of HTML.

bzimport added a comment.Via ConduitMay 17 2006, 6:19 PM

dr.burnett wrote:

(In reply to comment #5)

This simply seems unnecessary when we already have perfectly good
<sub> and <sup>.

Going to close as WONTFIX.

By that argument we should remove '' and ''' from the syntax since we have <B>
and <I>! Heck, might as well get rid of =, ==, etc. since we have <H1>, <h2>,
etc. Oh and ---- as <HR> and {| as <TABLE>. I mean, I could go on and on.

brion added a comment.Via ConduitMay 17 2006, 6:50 PM

Adding new syntax for rarely used elements isn't terribly
productive, neat as it might be.

bzimport added a comment.Via ConduitMay 17 2006, 7:05 PM

dr.burnett wrote:

(In reply to comment #9)

Adding new syntax for rarely used elements isn't terribly
productive, neat as it might be.

Are you *kidding* me? "Rarely used"?

Any page that uses math is bound to have a sup or sub tag. Chemistry,
probability distributions, etc. One of my reasons to convert equations to TeX
is because it's extremely tedious to use sup and sub tags (not to mention is
distracting when reading the code). I use sup & sub a whole heck of a lot more
than <HR> but its got ----

I made the request because I use it and using html tags is tedious. I beg you
to not place presumed editing behavior on users, because I am one such user you
are classifying incorrectly. Omegatron is another (though I'll certainly let
him speak for himself). Or anyone else I've done probability distributions with.

First you don't understand HTML tags from wiki syntax and now you make a gross
blanket statement about users.

Are you going to tell me next that the sky is purple and grass is purple red?
I'm not making a personal attack here but that's how far off your presumption is
on editor behavior. Maybe you don't use sup & sub tags, but I never made
you my spokesperson.

/sigh

bzimport added a comment.Via ConduitMay 17 2006, 7:08 PM

aculver wrote:

And any wiki that uses math is bound to have TeX...

bzimport added a comment.Via ConduitMay 17 2006, 7:19 PM

dr.burnett wrote:

(In reply to comment #11)

And any wiki that uses math is bound to have TeX...

By extension then: any wiki has HTML so why bother having wiki syntax that
replaces HTML at all?

Why create syntax when something else can do it (e.g., Tex, HTML). Why? To
save time. That's all it's there for. There's no reason we couldn't get rid of

and go to <h2>See also</h2> but ==See also== is much easier and faster. 1^st^

would be much faster than 1<sup>st</sup>. Using sup tag is slow enough that the
bulk of such uses are not superscripted at all.

Nevermind the long standing argument against using TeX: style mismatching.
Different font, different size: pretty much different all around.

bzimport added a comment.Via ConduitMay 17 2006, 7:55 PM

ui2t5v002 wrote:

(In reply to comment #11)

And any wiki that uses math is bound to have TeX...

Chemical formulas are not math.

bzimport added a comment.Via ConduitMay 17 2006, 8:45 PM

ui2t5v002 wrote:

See also: [[Template:Super]], [[Template:Sub]]

bzimport added a comment.Via ConduitMay 17 2006, 9:31 PM

dr.burnett wrote:

Sorry, this closing and opening is getting ridiculous. Brion, why don't you
offer some sound input on your position. You've both misunderstood that HTML is
not wiki syntax and you've incorrectly assumed the behavior of editors.
Continuing to close the bug without providing sound input or retorting the other
side makes your actions speak in bad faith. How is it any different than vandalism?

brion added a comment.Via ConduitMay 17 2006, 9:41 PM

I'm sorry that you misunderstand how the wiki works, but the
limited HTML-style tags *are* part of our wiki syntax. That is
incontrovertible fact; we even use our own tags such as
<nowiki>, <math>, <ref>, etc.

Coming up with new and exciting illegible symbols simply
complicates the software, both making it buggier and harder to
maintain, and less consistent and harder to use for users.

"There's more than one way to do it" might work great for Perl,
but it makes things harder for anyone who has to read that Perl
code.

Wiki text is meant to be re-read and re-edited by many people
over its lifetime, and additional inconsistencies are
unnecessary and counterproductive.

There is little or no benefit to adding yet more syntax, when
we already have perfectly good and compact syntax for it.
<sup>blah</sup> is not much larger than ^^blah^^, and it's
legible and understandable.

Where we have multiple syntaxes this is usually a result of
inheriting them from our predecessor software; they are kept
for compatibility.

The table syntax exists because HTML tables are extremely
verbose, and a more minimal syntax (at least in theory) helps
with readability and making fewer errors of missing/misplaced
close tags. This doesn't apply similarly to superscripts and
subscripts.

Superscripts and subscripts are:

  1. already reasonably compact
  2. already reasonably mnemonic
  3. already exist in the syntax
  4. generally restricted in use to certain technical subjects,

which while important are:
a) a tiny subset of the total set of pages
b) inhabited by smart people who can probably type "<sup>"

Please understand that adding complexity to the system, as you
have requested, is not a light request. It has consequences of
permanently complicating both the software and the user
experience. If there is little or no benefit to this, it is
unlikely to be done.

Please also understand that constantly reopening a rejected
request in anger is *exactly* like vandalism.

bzimport added a comment.Via ConduitMay 17 2006, 10:25 PM

dr.burnett wrote:

(In reply to comment #16)

I'm sorry that you misunderstand how the wiki works

Hooray for inflammatory comments and flaimbaiting by pretending you understand
someone else's thoughts. Just like how you continually presume to know how
editors think and act.

Coming up with new and exciting illegible symbols simply
complicates the software, both making it buggier and harder to
maintain, and less consistent and harder to use for users.

And "{|" and "||colspan='4'|" are legible? You're only kidding yourself if you
think everyone understands all of the syntax.

"There's more than one way to do it" might work great for Perl,
but it makes things harder for anyone who has to read that Perl
code.

So then get rid of "----" for "<HR>" and "==" for "<H2>" and .... because those
are all more than one way to do it. So a giant search and replace and we can
all go back to the days of pure HTML.

There is little or no benefit to adding yet more syntax, when
we already have perfectly good and compact syntax for it.
<sup>blah</sup> is not much larger than ^^blah^^, and it's
legible and understandable.

Like I said, you obviously don't edit articles with heavy usage of sup & sub.

C6 H4 (OCOCH3) COOH

is much more readable than

C<sub>6</sub>H<sub>4<sub>(OCOCH<sub>3</sub>)COOH

and that's just subscripts.

Superscripts and subscripts are:

  1. already reasonably compact
  2. already reasonably mnemonic
  3. already exist in the syntax
  4. generally restricted in use to certain technical subjects, which while important are: a) a tiny subset of the total set of pages b) inhabited by smart people who can probably type "<sup>"
  1. ^^x^^ and x are more compact
  2. I'm open to suggestions: shown in (1) is pretty reasonable but you can't take

suggestions on a closed ticket

  1. It's HTML so of course it exists
  2. Math == technical? At least use the right word.

4b) and who can also understand x^^2^^ just fine

Please understand that adding complexity to the system, as you
have requested, is not a light request. It has consequences of
permanently complicating both the software and the user
experience. If there is little or no benefit to this, it is
unlikely to be done.

It's a request for discussion and consideration. You coming down like god and
saying "no" does extremely little for discussion.

Again, you are making rash assumptions about editors. I am not alone in saying
you are wrong. So far there are 6 votes for the ticket; there's at least 6
people whom bother to look at bugzilla and agree you are wrong. The benefits
are brevity and legibility.

The point of wiki syntax is to make editting easier and extending HTML. This is
demonstrated and admitted by you regarding table syntax. And it's self-evident
for many others.

Please also understand that constantly reopening a rejected
request in anger is *exactly* like vandalism.

Furthermore, you coming down, saying "no", and repeatedly closing the ticket
without further explanation goes even farther to kill discussion. Now we must
discuss the discussion.

And I didn't reopen them out of anger. I reopened them because you were being a
poor debater and saying "I win" without leaving comment. Over and over. That's
about as close of a definition of arrogance as I can think of. Maybe
"unprofessional" is a better and less inflammatory way to put it (but your
actions and works spark of inflammatory so I'll leave them).

In the end, we are both in disagreement with each other's position so how are
you not being the stubborn child by saying "I'm right, you're wrong, ticket is
closed, and discussion is over"?

I've done nothing except act in good faith to request a feature *I* (and others)
would find quite useful.

bzimport added a comment.Via ConduitMay 17 2006, 10:57 PM

ui2t5v002 wrote:

(In reply to comment #16)

Coming up with new and exciting illegible symbols simply
complicates the software, both making it buggier and harder to
maintain, and less consistent and harder to use for users.

This would make it easier for users, and wikis are supposed to be easy to edit.
That's more important than ease of development. The more we can use wiki
markup instead of HTML, the better.

If it's too complicated to add now, fine, but leave it open so it can be added
later. Maybe there will be a syntax parser overhaul someday and it won't make
it any more complicated at that time to add these.

bzimport added a comment.Via ConduitMay 17 2006, 11:00 PM

dr.burnett wrote:

(In reply to comment #18)

If it's too complicated to add now, fine, but leave it open so it can be added
later. Maybe there will be a syntax parser overhaul someday and it won't make
it any more complicated at that time to add these.

For the record, I have absolutely no problems leaving it open and left undone to
be reevaluated later.

brion added a comment.Via ConduitMay 17 2006, 11:19 PM

Ok, let's leave this for later. We can fight again when the
parser's been rewritten cleanly. :)

DanielFriesen added a comment.Via ConduitNov 6 2012, 7:25 AM

I think I'm going to swoop in and boldly declare this old bug WONTFIX.

  • The proposed syntaxes are liable to cause existing articles to break by changing the definition of the syntax they are written in.
  • We have some great VisualEditor work going on. Pretty soon editors won't even be typing <sup>...</sup>. They'll hit a button / press a key, and poof, trivial markup will be inserted without them knowing what it is.
  • The arguments in favor of these syntaxes seem not based around using it in normal content but instead using it in special use cases like chemistry formulas which already have other standard ways of representing them that are much nicer than any syntax we make simply for sup/sub. Things like chemical formulas are better suited to something like <chem>...</chem> which takes readable plaintext formats as input and then converts them to the formatted HTML. This is even more true now that we are starting to embed Lua into templates and without even implementing an extension a wiki can add a {{chem|...}} template with fully featured complex plaintext syntax -> formatted markup transformation.
epriestley changed the task status from "Declined" to "Resolved" by committing Unknown Object (Commit).Via DaemonsMar 4 2015, 8:24 AM
Aklapper changed the task status from "Resolved" to "Declined".Via WebMar 4 2015, 11:47 AM
Aklapper claimed this task.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.